import React, { FC } from 'react';
import { ILocationMessageProps } from '../types.js';
import L from 'leaflet';

declare const markerIcon: L.Icon<L.IconOptions>;
declare const CustomMarker: React.FC<{
    position: L.LatLngExpression;
    children: React.ReactNode;
}>;
declare const MapElement: FC<ILocationMessageProps>;

export { CustomMarker, MapElement, markerIcon };
