import {
  __objRest,
  __spreadProps,
  __spreadValues
} from "./chunk-YUVL7GHC.mjs";

// src/Button/Button.tsx
import classNames from "classnames";
import { jsx, jsxs } from "react/jsx-runtime";
var ButtonIcon = (props) => {
  var _a;
  return /* @__PURE__ */ jsx("span", { className: "rce-button-icon--container", children: /* @__PURE__ */ jsx(
    "span",
    {
      style: {
        float: (_a = props.float) != null ? _a : "inherit",
        fontSize: props.size || 12
      },
      className: "rce-button-icon",
      children: props.component
    }
  ) });
};
var Button = (_a) => {
  var _b = _a, {
    backgroundColor = "var(--rce-color-secondary)",
    color = "var(--rce-color-white)",
    style = {},
    borderWidth = 2,
    outlined,
    disabled,
    circle,
    squared,
    link,
    icon,
    buttonRef,
    text,
    className,
    children
  } = _b, rest = __objRest(_b, [
    "backgroundColor",
    "color",
    "style",
    "borderWidth",
    "outlined",
    "disabled",
    "circle",
    "squared",
    "link",
    "icon",
    "buttonRef",
    "text",
    "className",
    "children"
  ]);
  var _a2;
  return /* @__PURE__ */ jsxs(
    "button",
    __spreadProps(__spreadValues({
      type: (_a2 = rest.type) != null ? _a2 : "button",
      ref: buttonRef,
      className: classNames(
        "rce-button",
        className,
        outlined && "outlined",
        circle && "circle",
        link && "link",
        squared && "squared",
        disabled && "disabled"
      ),
      style: __spreadValues({
        backgroundColor: outlined ? color : backgroundColor,
        color: outlined ? backgroundColor : color,
        borderColor: backgroundColor,
        borderWidth,
        flexDirection: (icon == null ? void 0 : icon.float) === "left" ? "row-reverse" : "row"
      }, style)
    }, rest), {
      children: [
        children,
        text && /* @__PURE__ */ jsx("span", { children: text }),
        (icon == null ? void 0 : icon.component) && /* @__PURE__ */ jsx(ButtonIcon, __spreadValues({}, icon))
      ]
    })
  );
};
var Button_default = Button;

export {
  Button_default
};
