import { FC } from 'react';
import { IAvatarProps } from '../types.mjs';
import 'leaflet';

/**
 * Convert string to a random colour
 * @param str The string to convert
 * @return string The random colour
 */
declare const stringToColor: (str: string) => string;
declare const Avatar: FC<IAvatarProps>;

export { Avatar as default, stringToColor };
