"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/Badge/Badge.tsx
var Badge_exports = {};
__export(Badge_exports, {
  default: () => Badge_default
});
module.exports = __toCommonJS(Badge_exports);
var import_classnames = __toESM(require("classnames"));
var import_jsx_runtime = require("react/jsx-runtime");
var Badge = (props) => {
  var _a, _b;
  const { rounded = true } = props;
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
    "span",
    {
      style: __spreadProps(__spreadValues({}, props.style), {
        color: (props == null ? void 0 : props.color) || "var(--rce-color-white)",
        backgroundColor: (props == null ? void 0 : props.backgroundColor) || "var(--rce-color-red)",
        fontSize: (props == null ? void 0 : props.size) || 11,
        aspectRatio: rounded ? "1/1" : void 0,
        borderRadius: rounded ? "100%" : "5px",
        position: (props == null ? void 0 : props.position) ? "absolute" : void 0
      }),
      className: (0, import_classnames.default)(
        "rce-badge",
        props.className,
        props.position ? (_a = props.position) == null ? void 0 : _a.split("-").join(" ") : void 0
      ),
      children: (props == null ? void 0 : props.value) ? (_b = props == null ? void 0 : props.value) == null ? void 0 : _b.toString() : null
    }
  );
};
var Badge_default = Badge;
