"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __objRest = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/Button/Button.tsx
var Button_exports = {};
__export(Button_exports, {
  default: () => Button_default
});
module.exports = __toCommonJS(Button_exports);
var import_classnames = __toESM(require("classnames"));
var import_jsx_runtime = require("react/jsx-runtime");
var ButtonIcon = (props) => {
  var _a;
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)("span", { className: "rce-button-icon--container", children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
    "span",
    {
      style: {
        float: (_a = props.float) != null ? _a : "inherit",
        fontSize: props.size || 12
      },
      className: "rce-button-icon",
      children: props.component
    }
  ) });
};
var Button = (_a) => {
  var _b = _a, {
    backgroundColor = "var(--rce-color-secondary)",
    color = "var(--rce-color-white)",
    style = {},
    borderWidth = 2,
    outlined,
    disabled,
    circle,
    squared,
    link,
    icon,
    buttonRef,
    text,
    className,
    children
  } = _b, rest = __objRest(_b, [
    "backgroundColor",
    "color",
    "style",
    "borderWidth",
    "outlined",
    "disabled",
    "circle",
    "squared",
    "link",
    "icon",
    "buttonRef",
    "text",
    "className",
    "children"
  ]);
  var _a2;
  return /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(
    "button",
    __spreadProps(__spreadValues({
      type: (_a2 = rest.type) != null ? _a2 : "button",
      ref: buttonRef,
      className: (0, import_classnames.default)(
        "rce-button",
        className,
        outlined && "outlined",
        circle && "circle",
        link && "link",
        squared && "squared",
        disabled && "disabled"
      ),
      style: __spreadValues({
        backgroundColor: outlined ? color : backgroundColor,
        color: outlined ? backgroundColor : color,
        borderColor: backgroundColor,
        borderWidth,
        flexDirection: (icon == null ? void 0 : icon.float) === "left" ? "row-reverse" : "row"
      }, style)
    }, rest), {
      children: [
        children,
        text && /* @__PURE__ */ (0, import_jsx_runtime.jsx)("span", { children: text }),
        (icon == null ? void 0 : icon.component) && /* @__PURE__ */ (0, import_jsx_runtime.jsx)(ButtonIcon, __spreadValues({}, icon))
      ]
    })
  );
};
var Button_default = Button;
