import { FC } from 'react';
import { IMeetingItemProps } from '../types.js';
import 'leaflet';

/**
 * Format date using date-fns relative format (eg. 3 days ago)
 * @param {Date} date the date object or string or number
 * @return {string} formatted date
 */
declare const relativeDateFormat: (date?: Date | number | string) => string;
declare const MeetingItem: FC<IMeetingItemProps>;

export { MeetingItem as default, relativeDateFormat };
