import {
  __spreadProps,
  __spreadValues
} from "./chunk-YUVL7GHC.mjs";

// src/Badge/Badge.tsx
import classNames from "classnames";
import { jsx } from "react/jsx-runtime";
var Badge = (props) => {
  var _a, _b;
  const { rounded = true } = props;
  return /* @__PURE__ */ jsx(
    "span",
    {
      style: __spreadProps(__spreadValues({}, props.style), {
        color: (props == null ? void 0 : props.color) || "var(--rce-color-white)",
        backgroundColor: (props == null ? void 0 : props.backgroundColor) || "var(--rce-color-red)",
        fontSize: (props == null ? void 0 : props.size) || 11,
        aspectRatio: rounded ? "1/1" : void 0,
        borderRadius: rounded ? "100%" : "5px",
        position: (props == null ? void 0 : props.position) ? "absolute" : void 0
      }),
      className: classNames(
        "rce-badge",
        props.className,
        props.position ? (_a = props.position) == null ? void 0 : _a.split("-").join(" ") : void 0
      ),
      children: (props == null ? void 0 : props.value) ? (_b = props == null ? void 0 : props.value) == null ? void 0 : _b.toString() : null
    }
  );
};
var Badge_default = Badge;

export {
  Badge_default
};
